--- old/usr/src/head/stdlib.h	Sat Feb 29 17:13:02 2020
+++ new/usr/src/head/stdlib.h	Sat Feb 29 17:13:02 2020
@@ -28,7 +28,7 @@
 
 /*
  * Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
- * Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
+ * Copyright 2020 OmniOS Community Edition (OmniOSce) Association.
  */
 
 /*	Copyright (c) 1988 AT&T	*/
@@ -250,6 +250,19 @@
 extern int unsetenv(const char *);
 #endif
 
+/*
+ * In strict XPG4v2 mode, slave pseudo terminal devices behave differently.
+ * See the block comment in usr/src/lib/libc/port/gen/pt.c
+ */
+#if defined(_STRICT_SYMBOLS) && defined(_XPG4_2)
+#ifdef	__PRAGMA_REDEFINE_EXTNAME
+#pragma redefine_extname unlockpt __unlockpt_xpg4
+#else
+extern int __unlockpt_xpg4(int);
+#define	unlockpt __unlockpt_xpg4
+#endif
+#endif	/* defined(_STRICT_SYMBOLS) && defined(_XPG4_2) */
+
 #if defined(__EXTENSIONS__) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX))
 extern char *canonicalize_file_name(const char *);
